- HTTP request
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- IssueGroupStats
- IssueStats
- Try it!
v1beta.aggregateIssueStats provides database resource issues statistics.
HTTP request
POST https://databasecenter.googleapis.com/v1beta:aggregateIssueStats
The URL uses gRPC Transcoding syntax.
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "parent": string, "filter": string, "signalTypeGroups": [ { object ( |
| Fields | |
|---|---|
parent |
Required. Parent can be a project, a folder, or an organization. The search is limited to the resources within the The allowed values are:
|
filter |
Optional. The expression to filter resources. Supported fields are: The expression is a list of zero or more restrictions combined via logical operators Example: |
signalTypeGroups[] |
Optional. Lists of signal types that are issues. |
baselineDate |
Optional. The baseline date w.r.t. which the delta counts are calculated. If not set, delta counts are not included in the response and the response indicates the current state of the fleet. |
Response body
The response message containing one of more group of relevant health issues for database resources.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"issueGroupStats": [
{
object ( |
| Fields | |
|---|---|
issueGroupStats[] |
List of issue group stats where each group contains stats for resources having a particular combination of relevant issues. |
totalResourcesCount |
Total count of the resources filtered in based on the user given filter. |
totalResourceGroupsCount |
Total count of the resource filtered in based on the user given filter. |
unreachable[] |
Unordered list. List of unreachable regions from where data could not be retrieved. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
databasecenter.fleetHealthStats.list
For more information, see the IAM documentation.
IssueGroupStats
IssueGroupStats refers to stats for a particulare combination of relevant health issues of database resources.
| JSON representation |
|---|
{
"displayName": string,
"resourceGroupsCount": integer,
"resourcesCount": integer,
"healthyResourceGroupsCount": integer,
"healthyResourcesCount": integer,
"issueStats": [
{
object ( |
| Fields | |
|---|---|
displayName |
|